unit Unit1;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  ssKeepProperties, Menus, ComCtrls, ExtCtrls, StdCtrls, Grids, DBGrids,
  Db, DBTables, Buttons, ToolWin;

type
  TForm1 = class(TForm)
    ssPropsMaster1: TssPropsMaster;
    ssPropsClient1: TssPropsClient;
    MainMenu1: TMainMenu;
    File1: TMenuItem;
    Open1: TMenuItem;
    Save1: TMenuItem;
    N1: TMenuItem;
    Exit1: TMenuItem;
    RadioGroup1: TMenuItem;
    Option11: TMenuItem;
    Option21: TMenuItem;
    Option31: TMenuItem;
    CheckGroup1: TMenuItem;
    Check11: TMenuItem;
    Check21: TMenuItem;
    Check31: TMenuItem;
    PageControl1: TPageControl;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    Panel2: TPanel;
    DateTimePicker1: TDateTimePicker;
    GroupBox1: TGroupBox;
    Label1: TLabel;
    Edit1: TEdit;
    Button1: TButton;
    Splitter2: TSplitter;
    Panel3: TPanel;
    Memo1: TMemo;
    Splitter1: TSplitter;
    Panel1: TPanel;
    Label2: TLabel;
    RadioGroup2: TRadioGroup;
    Edit2: TEdit;
    UpDown1: TUpDown;
    Button2: TButton;
    ColorDialog1: TColorDialog;
    Button3: TButton;
    FontDialog1: TFontDialog;
    Table1: TTable;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Table2: TTable;
    DataSource2: TDataSource;
    DBGrid2: TDBGrid;
    Splitter3: TSplitter;
    CheckBox1: TCheckBox;
    ScrollBar1: TScrollBar;
    Panel4: TPanel;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    BitBtn3: TBitBtn;
    TabSheet3: TTabSheet;
    HeaderControl1: THeaderControl;
    ListView1: TListView;
    TrackBar1: TTrackBar;
    ComboBox1: TComboBox;
    TabSheet4: TTabSheet;
    StringGrid1: TStringGrid;
    Panel5: TPanel;
    Label6: TLabel;
    Label7: TLabel;
    Label8: TLabel;
    ToolBar1: TToolBar;
    ToolButton1: TToolButton;
    ToolButton2: TToolButton;
    ToolButton3: TToolButton;
    ToolButton4: TToolButton;
    ToolButton5: TToolButton;
    ImageList1: TImageList;
    ToolButton6: TToolButton;
    ToolButton7: TToolButton;
    Panel6: TPanel;
    Label9: TLabel;
    Label4: TLabel;
    Panel7: TPanel;
    Label10: TLabel;
    Label11: TLabel;
    Label3: TLabel;
    Label12: TLabel;
    Panel8: TPanel;
    Label13: TLabel;
    Label14: TLabel;
    Label15: TLabel;
    Label16: TLabel;
    Panel9: TPanel;
    Label17: TLabel;
    Label18: TLabel;
    Label19: TLabel;
    Panel10: TPanel;
    Label20: TLabel;
    Label21: TLabel;
    Label22: TLabel;
    Panel11: TPanel;
    Label5: TLabel;
    Label23: TLabel;
    ListBox1: TListBox;
    Label24: TLabel;
    Label25: TLabel;
    procedure ssPropsMaster1NeedIniFileName(Sender: TObject);
    procedure Check31Click(Sender: TObject);
    procedure Option31Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure UpDown1Click(Sender: TObject; Button: TUDBtnType);
    procedure Edit2Change(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure BitBtn1Click(Sender: TObject);
    procedure BitBtn2Click(Sender: TObject);
    procedure BitBtn3Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure ToolButton1Click(Sender: TObject);
    procedure ToolButton2Click(Sender: TObject);
    procedure ToolButton3Click(Sender: TObject);
    procedure ToolButton4Click(Sender: TObject);
    procedure ToolButton7Click(Sender: TObject);
  private
    { Private declarations }
    procedure SetRadioGroup2;
  public
    { Public declarations }
  end;

var
  Form1: TForm1;

implementation

uses
  KeepPropertiesAbout;

{$R *.DFM}

procedure TForm1.ssPropsMaster1NeedIniFileName(Sender: TObject);
begin
  //TssPropsMaster(Sender).IniFileName := ChangeFileExt(ParamStr(0), '.ini');
end;

procedure TForm1.Check31Click(Sender: TObject);
begin
  with TMenuItem(Sender) do Checked := not Checked;
end;

procedure TForm1.Option31Click(Sender: TObject);
begin
  with TMenuItem(Sender) do Checked := true;
end;

procedure TForm1.Button1Click(Sender: TObject);
begin
  Label1.Caption := Edit1.Text;
end;

procedure TForm1.UpDown1Click(Sender: TObject; Button: TUDBtnType);
begin
  Edit2.Text := IntToStr(TUpDown(Sender).Position);
  SetRadioGroup2;
end;

procedure TForm1.Edit2Change(Sender: TObject);
begin                             
  try
    UpDown1.Position := StrToInt(TEdit(Sender).Text);
  except
  end;
  SetRadioGroup2;
end;

procedure TForm1.SetRadioGroup2;
begin
  Edit2.Text := IntToStr(UpDown1.Position);
  RadioGroup2.Columns := UpDown1.Position;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
  with ColorDialog1 do begin
    Color := ColorToRGB(Panel3.Color);
    if Execute then Panel3.Color := Color;
  end;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  with FontDialog1 do begin
    Font := Memo1.Font;
    if Execute then Memo1.Font := Font;
  end;
end;

procedure TForm1.BitBtn1Click(Sender: TObject);
begin
  ssPropsMaster1.WriteNow;
end;

procedure TForm1.BitBtn2Click(Sender: TObject);
begin
  ssPropsMaster1.ReadNow;
end;

procedure TForm1.BitBtn3Click(Sender: TObject);
begin
  ExecutePropsAbout;
end;

procedure TForm1.FormShow(Sender: TObject);
begin
  ExecutePropsAbout;
end;

procedure TForm1.ToolButton1Click(Sender: TObject);
begin
  with StringGrid1 do RowCount := RowCount+1;
end;

procedure TForm1.ToolButton2Click(Sender: TObject);
begin
  with StringGrid1 do RowCount := RowCount-1;
end;

procedure TForm1.ToolButton3Click(Sender: TObject);
begin
  with StringGrid1 do ColCount := ColCount+1;
end;

procedure TForm1.ToolButton4Click(Sender: TObject);
begin
  with StringGrid1 do ColCount := ColCount-1;
end;

procedure TForm1.ToolButton7Click(Sender: TObject);
var
  c, r: longint;
begin
  //with ToolButton7 do Down := not Down;
  with StringGrid1 do begin
    if ToolButton7.Down then begin
      c := Col;
      r := Row;
    end else begin
      c := 0;
      r := 0;
    end;
    FixedCols := c;
    FixedRows := r;
  end;
end;

end.
